/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.naechste-schritte {
  margin-bottom: 55px;
  .naechste-schritte-menu {
    .ant-menu-submenu-title,
    .ant-menu-item {
      color: initial;
      margin: 0;
      width: 100%;
      height: auto;
      padding-left: 20px !important;
      .ant-menu-title-content {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        padding: 24px 16px;
        .anticon {
          margin-top: 10px;
        }
        .next-steps-side-title {
          font-size: 1.6rem;
          line-height: 22px;
          margin-left: 0.5em;
        }

        .tab-icon-holder {
          border-radius: 50% 50% 50% 50%;
          position: relative;
          width: 20px;
          height: 20px;
          display: flex;
          align-items: center;
          justify-content: center;
          background-color: @platform-blue5;
          flex-shrink: 0;
          & > svg {
            margin: 0;
            height: 29px;
            width: 23px;
          }
        }

        h3 {
          margin: 0;
          white-space: normal;
        }
      }
    }
    .ant-menu-item-selected {
      h3 {
        color: #0032d9;
      }
    }
    .ant-menu-submenu-title {
      padding-inline-start: 3.68571rem;
      padding-inline-end: 2rem;
      .ant-menu-submenu-arrow {
        color: inherit;
        left: 18px;
        top: 35px;
      }
      &:hover {
        background: #fff;
      }
      h3 {
        padding-left: 20px;
      }
    }
    .ant-menu-sub.ant-menu-inline {
      background-color: #fff;
    }
    .ant-menu-submenu-selected {
      background: #fff !important;

      .ant-menu-submenu-title h3,
      .ant-menu-submenu-arrow {
        color: #0032d9;
      }
    }
    .ant-menu-submenu-open.ant-menu-submenu-inline {
      .ant-menu-submenu-arrow {
        transform: rotate(90deg) translateX(-50%);
      }
    }
    .ant-menu-submenu {
      border-bottom: 1px solid @platform-blue5;
      .ant-menu-title-content {
        padding-left: 0;
        word-wrap: break-word;
        white-space: normal;
      }
      &-disabled {
        .tab-icon-holder {
          background-color: @calendar-grey-color;
        }
        h3 {
          color: @links-grey-color;
        }
      }
      .ant-menu-item {
        padding-left: 48px !important;
      }
    }
    .ant-menu-item {
      background-color: #fff;
      border: 0;
      border-radius: 0;
      padding-left: 32px;
      .ant-menu-title-content {
        margin: 0;
        padding-left: 0;
      }
      &:hover {
        // background-color: @platform-blue5;
        background-image: linear-gradient(90deg, #0032d9 0.59%, transparent 0.59%, @platform-blue5 1.59%);
        background-size: cover;
      }

      &-selected {
        background-image: linear-gradient(90deg, #0032d9 0.59%, transparent 0.59%, @platform-blue5 1.59%);
        background-size: cover;
        background-color: @platform-blue5;
        clip-path: polygon(
          0% 0%,
          0 0%,
          0 50%,
          0% 90%,
          0 100%,
          50% 100%,
          100% 100%,
          100% 55%,
          97% 47%,
          100% 40%,
          100% 0,
          50% 0
        );
        .ant-menu-title-content {
          .tab-icon-holder {
            background-color: #fff;
          }
        }
      }
      &-disabled {
        .tab-icon-holder {
          background-color: @calendar-grey-color;
        }
        h3 {
          color: @links-grey-color;
        }
      }
    }

    .ant-tabs-content-holder {
      border-left-width: 0;
    }
  }

  .ant-layout-content {
    background: #fff;
  }

  .ant-collapse-content {
    ul {
      padding-left: 0.3rem;
      list-style-type: none;
    }
    ul li:before {
      content: '- ';
    }

    margin-left: 30px;
    padding-bottom: 25px;
    p {
      margin: 0.1rem;
      margin-bottom: 2rem;
      font-size: 1.6rem;
      line-height: 24px;
    }
    .praxis-tip-p-danger {
      margin-bottom: 0.1rem;
      line-height: 26px;
    }
    .ant-collapse-content-box {
      button {
        font-size: 1.6rem;
      }
    }
  }

  .naechste-schritte-collapse {
    padding-right: 60px;
    padding-left: 20px;
    .naechste-schritte-collapse-title {
      display: flex;
      align-items: center;
      column-gap: 5px;
      h2 {
        font-size: 2rem;
        font-weight: 500;
      }
      svg {
        margin-top: 10px;
      }
    }
    .ant-collapse .ant-collapse-item {
      .tab-content-title span:hover {
        background: @text-color;
        color: @platform-btn-primary-color;
      }
      &:focus-within .tab-content-title span {
        outline-style: dotted;
        outline-color: @text-color;
        outline-width: 1px;
        outline-offset: 2px;
      }
    }
    .ant-collapse-item {
      border-bottom: 1px solid @platform-blue3;
      margin-bottom: 10px;
      .ant-collapse-header {
        font-weight: 500;
        font-size: 2rem;
        .ant-collapse-header-text {
          .tab-content-title {
            margin-top: -1px;
            display: flex;
            align-items: center;
            font-size: 2rem;
            font-weight: 500;
            > .tab-content-svg-span {
              display: flex;
              justify-content: center;
              align-items: center;
              height: 2.1rem;
              margin-right: 0.6rem;
            }
          }
        }
      }
      .link-btn {
        &:hover {
          background-color: #000 !important;
        }
        &:focus {
          border-color: initial;
          box-shadow: initial;
          color: initial;
          outline-width: 0;
          border-width: 0;
        }
        display: block;
        margin-bottom: 20px;
        span {
          font-size: 1.6rem;
          line-height: 24px;
          text-decoration: underline;
        }
      }
      .collapse-create-link {
        line-height: 26px;
        font-weight: 500;
        font-size: 1.6rem;
        color: @platfrom-blue1;
        text-decoration: none;
        &:focus {
          border-color: initial;
          box-shadow: initial;
          color: @platfrom-blue1;
          background: initial;
          outline-width: 0;
          border-width: 0;
        }
        &:hover {
          background-color: black;
          color: white;
        }
      }
      .praxistipp {
        margin-bottom: 0.8rem;
        font-size: 1.6rem;
        line-height: 24px;
      }
      &.optional-collapse {
        margin-left: 2rem;
      }
    }
    .optional-checkbox {
      padding: 1.5rem;
      background-color: @platform-blue5;
      border: 1px solid @platform-blue8;
      margin-bottom: 2rem;
      h4 {
        font-size: 2rem;
        font-weight: 500;
        margin-top: 0;
        margin-bottom: 1rem;
      }
    }
    .lock-reason-box {
      padding: 1.5rem;
      background-color: @platform-blue5;
      border: 1px solid @platform-blue8;
      margin-bottom: 2rem;
      h4 {
        font-size: 1.6rem;
        font-weight: 500;
        margin-top: 0;
        margin-bottom: 1rem;
      }
      p {
        font-size: 1.6rem;
      }
    }
  }
  .naechste-schritte-evir {
    padding-right: 60px;

    .evir-title {
      border-bottom: 1px solid @platform-blue3;
      padding-bottom: 16px;
      padding-top: 40px;
      margin-bottom: 24px;
      font-weight: 600;
      font-size: 1.6rem;
      line-height: 24px;
    }
    .evir-list {
      list-style: none;
      padding: 0;
      li {
        margin-bottom: 16px;
        a {
          font-size: 1.6rem;
          line-height: 26px;
          &:hover,
          &:focus {
            text-decoration: underline;
            padding: 1px 2px;
            border-radius: 5%;
          }
          text-align: left;
          white-space: break-spaces;
        }
      }
    }
  }

  .next-link,
  .prev-link {
    margin: 1rem 0;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    span {
      text-decoration: underline;
      white-space: nowrap;
    }
  }

  .disabled-link {
    color: @text-disabled-color !important;
  }

  .disabled-link:hover {
    cursor: not-allowed;
  }
}
